itspaid support
Learn more and find answers

Questions & answers

Who can use the app?

To use the app, you need itsme, which means you need to be older than 18 and have a Belgian eID and a Belgian sim card.

To pay your payment requests with the app, you need the Bancontact app. This app only works for Belgian bank accounts.

Does itspaid work on any phone?

Currently, the app is available for smartphones running the following operating systems:

  • iOS 10 or later
  • Android 5.0 or later

Do I need an internet connection?

Yes, you do. You need it both to login with itsme and to use the app.

Which Bancontact-enabled app should I use?

You can use the generic bancontact app: https://www.bancontact.com/en/bancontact-app.

What if I have no Bancontact-enabled app installed?

If you have no Bancontact-enabled app installed, you will be able to view your invoices, but you will not be able to pay them. It might be a good idea to install the generic bancontact app: https://www.bancontact.com/en/bancontact-app. You can get it for free from Google Play and from the app store.

 

Download for free

Download on the App Store Get it on Google Play